org.apache.ignite.internal.managers.checkpoint

## Class GridCheckpointRequest

- java.lang.Object
- - org.apache.ignite.internal.managers.checkpoint.GridCheckpointRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridCheckpointRequest
    extends Object
    implements Message

This class defines checkpoint request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCheckpointRequest()` Empty constructor required by `Externalizable`.
`GridCheckpointRequest(IgniteUuid sesId, String key, String cpSpi)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`String` `getCheckpointSpi()`
`String` `getKey()`
`IgniteUuid` `getSessionId()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCheckpointRequest

    public GridCheckpointRequest()

Empty constructor required by `Externalizable`.

#### GridCheckpointRequest

    public GridCheckpointRequest(IgniteUuid sesId,
                         String key,
                         String cpSpi)

Parameters:
  `sesId` - Task session ID.
  `key` - Checkpoint key.
  `cpSpi` - Checkpoint SPI.

### Method Detail

#### getSessionId

    public IgniteUuid getSessionId()

Returns:
  Session ID.

#### getKey

    public String getKey()

Returns:
  Checkpoint key.

#### getCheckpointSpi

    public String getCheckpointSpi()

Returns:
  Checkpoint SPI.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016